Name:		cypr
Version:	1.0.1
Release:	0
Summary:	Webbased password changer with numerous features and checks
Group:		Applications/System
License:	GPL
URL:		http://www.fire.wolfsburg.de/pub/cypr/
Source0:	cypr-%{version}.tar.gz
Source1:	cypr-httpd.conf
Source2:	cypr.pam
Patch0:		cypr-1.0.1-endlines.patch
Patch1:		cypr-1.0.1-defs.patch
Patch2:		cypr-1.0.1-fc.patch
Patch3:		cypr-1.0.1-form.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
Requires:	httpd

%description
Webbased password changer for PAM enabled systems.


%prep
%setup -q
%patch0 -p1 -b .endlines
%patch1 -p1 -b .defs
%patch2 -p1 -b .fc
%patch3 -p1 -b .form


%build
%{__make} %{?_smp_mflags}
# Create cypr.conf
cat > cypr.conf <<EOF
# cypr.conf - change your password remotely
# (c) 2000 by B.Rodewald
use_pam_handle = cypr
local_html_dir = %{_localstatedir}/www/cypr
EOF
#


%install
rm -rf $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/cypr/
install cypr.conf $RPM_BUILD_ROOT%{_sysconfdir}/cypr.conf
install cypr.cgi $RPM_BUILD_ROOT%{_localstatedir}/www/cypr/cypr.cgi
install html/*.html $RPM_BUILD_ROOT%{_localstatedir}/www/cypr/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/cypr.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/cypr


%clean
rm -rf $RPM_BUILD_ROOT


%post


%preun


%postun
/sbin/service httpd condrestart > /dev/null 2>&1 || :


%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%config %{_sysconfdir}/cypr.conf
%config %{_sysconfdir}/pam.d/cypr
%config(noreplace) %{_sysconfdir}/httpd/conf.d/cypr.conf
%attr(4755,root,root) %{_localstatedir}/www/cypr/cypr.cgi
%attr(0644,root,root) %{_localstatedir}/www/cypr/*.html


%changelog
* Mon May 2 2005 Petr Kritof <Petr|Kristof_CZ> 1.0.1-1
- Initial RPM release

